petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitor

runs the user provided monitor routines, if they exist

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitor(KSP ksp,PetscInt it,PetscReal rnorm)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| it | - iteration number Many br
| rnorm | - relative norm of the residual Many br

### Notes

This routine is called by the KSP implementations. Many brIt does not typically need to be called by the user. Many br

Many br

### See Also

KSPMonitorSet()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages